Holger's Java API

## com.antelmann.calendar
Class Recurrence

    java.lang.Object
      com.antelmann.calendar.Recurrence

All Implemented Interfaces:
  Serializable

    @Todo(value="missing: somewhat irregular events such as each first Monday in a Month")
    public class Recurrence

extends Object
implements Serializable

Author:
  Holger Antelmann
See Also:
  Serialized Form

Constructor Summary
`Recurrence(int calendarField, int amount, Date until)`
`Recurrence(Recurrence original)`

Method Summary
`int` `getAmount()`
`int` `getField()`
`Date` `until()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Recurrence

    public Recurrence(int calendarField,
                      int amount,
                      Date until)

See Also:
  `Date`

### Recurrence

    public Recurrence(Recurrence original)

Method Detail

### getField

    public int getField()

### getAmount

    public int getAmount()

### until

    public Date until()

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads